ProjectsWhat's NewDownloadsCommunitySupportCompany
Forum Index » S.T.A.L.K.E.R.: Shadow of Chernobyl Forum » Mod discussion
Ambient Audio Overhaul feedback

« Previous 10 events | 1 ... 5 6 7 8 9 10 11 12 13 ... 18 | Next 10 events »| All Messages
Posted by/on
Question/AnswerMake Newest Up Sort by Descending
  19:59:41  10 June 2009
profilee-mailreply Message URLTo the Top
Waltharius
(Novice)
 
On forum: 06/10/2009
Messages: 7
Ok, so, basically:

How do you "install SWO3 alongside AAO" ?


I have been, for the last 3 days, trying to install this thing together, and I can't. Following the author's instructions, I can't.

What I do is:

Install SWO3

Install SWO3 Fix

Install AAO Core

Install AAO Compatibility files

(according to 'readme' file included)

Result: crash to desktop.

What the hell am I doing wrong? Do I have to guess which files I should and shouldn't overwrite? If you are promoting the support and compatibility of these mods together, it is expected that you explain in detail, how to install both mods together. Your 'readme' only has instructions for your mod alone.

One would also assume that, every instruction needed for the mod installation would be present in the included 'readme' file, so one wouldn't have to dig and re-dig forum threads with hundreds of replies. hoping that someone is trying to do the same thing.

So, assuming I have only SWO3+fix installed, what do I have to do/edit/copy/overwrite/etc to install AAO, and make them work together?
  20:20:55  10 June 2009
profilee-mailreply Message URLTo the Top
llama man
Llamanized metalheadstalker
(Resident)

 

 
On forum: 04/29/2008
Messages: 1424
What does the crashlog say?

The directory for the log file for me is in
C:\Users\Public\Documents\STALKER-SHOC\logs
Im using vista, i think its different with XP.
  20:34:02  10 June 2009
profilee-mailreply Message URLTo the Top
{imperialreign}
Звуковой Шаман
(Resident)

 

 
On forum: 10/29/2008
Messages: 3075

---QUOTATION---
Ok, so, basically:

How do you "install SWO3 alongside AAO" ?


I have been, for the last 3 days, trying to install this thing together, and I can't. Following the author's instructions, I can't.

What I do is:

Install SWO3

Install SWO3 Fix

Install AAO Core

Install AAO Compatibility files

(according to 'readme' file included)

Result: crash to desktop.

What the hell am I doing wrong? Do I have to guess which files I should and shouldn't overwrite? If you are promoting the support and compatibility of these mods together, it is expected that you explain in detail, how to install both mods together. Your 'readme' only has instructions for your mod alone.

One would also assume that, every instruction needed for the mod installation would be present in the included 'readme' file, so one wouldn't have to dig and re-dig forum threads with hundreds of replies. hoping that someone is trying to do the same thing.

So, assuming I have only SWO3+fix installed, what do I have to do/edit/copy/overwrite/etc to install AAO, and make them work together?
---END QUOTATION---





First, to give you any further help, I need to see what the crash log says.

Two - did you download the AAO quickfix? [link]http://stalker.filefront.com/file/Ambient_Audio_Overhaul_vanilla_hotfix;99616[/link] (although, it shouldn't make a difference with just SWO3 and AAO).


Anyhow, there's only two mods that I decided to support - STALKER Weather Overhauled 3 and Dynamic Weather . . . my reasoning was that these are the only two mods that can make the most out of all the features I had incorporated into AAOv1.8 - I didn't see any point in taking the extensive amount of time to create compatibility packs for all the other major mods, especially if they wouldn't be able to make full use of the mod.

The AAO core folders are only audio files . . . they won't cause any incompatiblity issues.

The compatibility folders are only for vanilla, SWO3 and DW . . . in regards to SWO3 and DW, the comp folder updates the dynamic weather engine with a newer level_weathers script as well. Again, I can't even begin to fathom what is wrong with your installation without the error section posted in the log file.

As to installation - if you're not using SMM, it's as simple as:

*make sure SWO3 or DW is installed and fully patched first

*install the <gamedata> folder in AAO_Core

*install the correct compatibility folder in AAO_compatiblity_packs




If you have any other mods installed that make changes to the weather .ltsx files (e.g. environment.ltx, weather_default.ltx, env_ambient.ltx) . . . you'll run into compatibility issues and will more than likely need to manually merge the files.

I've followed the above installation procedure on a clean vanilla+SWO3/DW install numerous times without any issues . . . as well, I've tested the SMM installation methods on a clean vanilla+SWO3/DW install numerous times as well ------ to be able to further help you, I'll need further information.
  20:34:21  10 June 2009
profilee-mailreply Message URLTo the Top
Waltharius
(Novice)
 
On forum: 06/10/2009
Messages: 7

---QUOTATION---
What does the crashlog say?

The directory for the log file for me is in
C:\Users\Public\Documents\STALKER-SHOC\logs
Im using vista, i think its different with XP.
---END QUOTATION---



FATAL ERROR

[error]Expression : fatal error
[error]Function : CRender::texture_load
[error]File : E:\stalker\sources\trunk\xr_3da\xrRender\Texture.cpp
[error]Line : 295
[error]Description : <no expression>
[error]Arguments : Can't find texture 'sky\sky_dark_cube'


Thank you for the reply, and for the logs reference. This is strange as it seems the engine is calling a texture that isn't there, but this only happens when I install this mod, and I'm not modifying anything in it.

With this I'm going to try and get to the origin of the error.
  20:43:09  10 June 2009
profilee-mailreply Message URLTo the Top
Waltharius
(Novice)
 
On forum: 06/10/2009
 

Message edited by:
Waltharius
06/10/2009 20:52:53
Messages: 7

---QUOTATION---

First, to give you any further help, I need to see what the crash log says.

Two - did you download the AAO quickfix? [link]http://stalker.filefront.com/file/Ambient_Audio_Overhaul_vanilla_hotfix;99616[/link] (although, it shouldn't make a difference with just SWO3 and AAO).


Anyhow, there's only two mods that I decided to support - STALKER Weather Overhauled 3 and Dynamic Weather . . . my reasoning was that these are the only two mods that can make the most out of all the features I had incorporated into AAOv1.8 - I didn't see any point in taking the extensive amount of time to create compatibility packs for all the other major mods, especially if they wouldn't be able to make full use of the mod.

The AAO core folders are only audio files . . . they won't cause any incompatiblity issues.

The compatibility folders are only for vanilla, SWO3 and DW . . . in regards to SWO3 and DW, the comp folder updates the dynamic weather engine with a newer level_weathers script as well. Again, I can't even begin to fathom what is wrong with your installation without the error section posted in the log file.

As to installation - if you're not using SMM, it's as simple as:

*make sure SWO3 or DW is installed and fully patched first

*install the <gamedata> folder in AAO_Core

*install the correct compatibility folder in AAO_compatiblity_packs

If you have any other mods installed that make changes to the weather .ltsx files (e.g. environment.ltx, weather_default.ltx, env_ambient.ltx) . . . you'll run into compatibility issues and will more than likely need to manually merge the files.

I've followed the above installation procedure on a clean vanilla+SWO3/DW install numerous times without any issues . . . as well, I've tested the SMM installation methods on a clean vanilla+SWO3/DW install numerous times as well ------ to be able to further help you, I'll need further information.
---END QUOTATION---



I did install your fix. I thought it wouldn't do anything in my case, but I installed it anyway.

The only mod I'm using is, indeed, SWO3 and it's update/quick fix, so there isn't anything else messing with the weather files.

As I replied, on my last post, I forgot all about the crash log. I checked it and it actually may not be related to your mod, but with SWO3 and some missing texture. The strange thing is, this only happens after I install your mod.

EDIT: FATAL ERROR

[error]Expression : fatal error
[error]Function : CRender::texture_load
[error]File : E:\stalker\sources\trunk\xr_3da\xrRender\Texture.cpp
[error]Line : 295
[error]Description : <no expression>
[error]Arguments : Can't find texture 'sky\sky_dark_cube'

This seems to be the "missing" texture.
  20:49:55  10 June 2009
profilee-mailreply Message URLTo the Top
notanumber
mod abuser & exploiter
(Resident)

 

 
On forum: 03/22/2008
Messages: 2818

---QUOTATION---
What does the crashlog say?

The directory for the log file for me is in
C:\Users\Public\Documents\STALKER-SHOC\logs
Im using vista, i think its different with XP.

FATAL ERROR

[error]Expression : fatal error
[error]Function : CRender::texture_load
[error]File : E:\stalker\sources\trunk\xr_3da\xrRender\Texture.cpp
[error]Line : 295
[error]Description : <no expression>
[error]Arguments : Can't find texture 'sky\sky_dark_cube'
---END QUOTATION---


To me this looks like you're using the DW compatibility pack and not the one for SWO3.
  20:52:22  10 June 2009
profilee-mailreply Message URLTo the Top
{imperialreign}
Звуковой Шаман
(Resident)

 

 
On forum: 10/29/2008
Messages: 3075

---QUOTATION---
To me this looks like you're using the DW compatibility pack and not the one for SWO3.
---END QUOTATION---




nandersen's deduction would be correct. That specific sky_cube texture is only used with Dynamic Weather IIRC.
  20:56:02  10 June 2009
profilee-mailreply Message URLTo the Top
Waltharius
(Novice)
 
On forum: 06/10/2009
 

Message edited by:
Waltharius
06/10/2009 21:04:53
Messages: 7

---QUOTATION---
To me this looks like you're using the DW compatibility pack and not the one for SWO3.


nandersen's deduction would be correct. That specific sky_cube texture is only used with Dynamic Weather IIRC.
---END QUOTATION---



Well I'm 100% sure that I copied the Stalker Weather Overhauled 3 compatibility pack. I just did it again. Could it be the file I downloaded? The version I have supposedly is 1.8.

I just rechecked again. I'm using the correct compatibility pack.
  21:15:15  10 June 2009
profilee-mailreply Message URLTo the Top
Waltharius
(Novice)
 
On forum: 06/10/2009
 

Message edited by:
Waltharius
06/10/2009 21:16:25
Messages: 7
The file 'weather_indoor' inside SWO3 compatibility pack is calling that sky_dark texture.

See the pic:

[link]http://img.photobucket.com/albums/v461/J-Petrucci/sky_dark_cube.jpg[/link]

However, that texture doesn't exist in SWO3.
  21:49:46  10 June 2009
profilee-mailreply Message URLTo the Top
Waltharius
(Novice)
 
On forum: 06/10/2009
Messages: 7

---QUOTATION---
The file 'weather_indoor' inside SWO3 compatibility pack is calling that sky_dark texture.

See the pic:

[link]http://img.photobucket.com/albums/v461/J-Petrucci/sky_dark_cube.jpg[/link]

However, that texture doesn't exist in SWO3.
---END QUOTATION---



I fixed it by downloading the 'Dynamic Weather' and copying both sky_dark_cube.dds and sky_dark_cube#small.dds to 'gamedata/textures/sky'. It is working fine now. The SWO3 compatibility pack is indeed calling that missing texture. I don't know how nobody noticed this yet, again, I may have downloaded a version of the mod you guys aren't using... ...but I used the links in this forum, and the reported version is 1.8... so I honestly can't figure out what is happening here. Maybe you should look into it?

I investigated a bit further and I noticed that the SWO3 alone doesn't even have a weather_indoor.ltx in 'gamedata/config/weathers'. Maybe you included 'weather_indoor.ltx' on SWO3 compatibility pack by mistake?
 
Each word should be at least 3 characters long.
Search:    
Search conditions:    - spaces as AND    - spaces as OR   
 
Forum Index » S.T.A.L.K.E.R.: Shadow of Chernobyl Forum » Mod discussion
 

All short dates are in Month-Day-Year format.


 

Copyright © 1995-2020 GSC Game World. All rights reserved.
This site is best viewed in Internet Explorer 4.xx and up and Javascript enabled. Webmaster.
Opera Software products are not supported.
If any problem concerning the site functioning under Opera Software appears apply
to Opera Software technical support service.